
Foreman - Bug #4800

"Description has already been taken" for some new SLES clients

03/24/2014 02:39 PM - Anonymous

Status: Closed   

Priority: Normal   

Assignee:    

Category: Facts   

Target version: 1.5.0   

Difficulty:  Fixed in Releases:  

Triaged:  Found in Releases: Nightly

Bugzilla link:  Red Hat JIRA:  

Pull request:    

Description

<dimatha> Hello Guys! I'm getting the following error on the newly added host: "Import facts for 'SERVERNAME'  completed. Added:

0, Updated: 3, Deleted 0 facts; Validation failed: Description has already been taken (ActiveRecord::RecordInvalid)" Any hints ?

Related issues:

Related to Foreman - Bug #4664: Autogenerated OS description for SLES is wron... Closed 03/14/2014

Associated revisions

Revision 07a1bb33 - 03/31/2014 09:13 AM - Michael Moll 

fixes #4800 SLES special handling in facts parser

History

#1 - 03/24/2014 02:40 PM - Anonymous

- Related to Bug #4664: Autogenerated OS description for SLES is wrong when more then one architecture is used added

#2 - 03/24/2014 02:41 PM - Anonymous

- Subject changed from "Description has already been taken" for somenew SLES clients to "Description has already been taken" for some new SLES

clients

As SLES doesn't have the Service Pack (minor version) in lsbdistdescription, a special case for SLES has to be implemented in the facts parser.

#3 - 03/25/2014 03:08 AM - Anonymous

- Status changed from Assigned to Ready For Testing

https://github.com/theforeman/foreman/pull/1322

#4 - 03/26/2014 12:57 PM - Anonymous

- Target version changed from 1.9.0 to 1.8.4

#5 - 03/31/2014 09:12 AM - Dominic Cleal

- translation missing: en.field_release set to 4

#6 - 03/31/2014 09:31 AM - Anonymous

- Status changed from Ready For Testing to Closed

- % Done changed from 0 to 100

Applied in changeset 07a1bb33ef466e750c2607928d7244acb431e5b9.
